const gulp = require('gulp');
const babel = require('gulp-babel');
const webpack = require('webpack-stream');

gulp.task('default', () => {
  return gulp.src('src/main.js')
    .pipe(babel({
      presets: ['@babel/preset-env']
    }))
    .pipe(webpack({
      output: {
        filename: 'main.js'
      }
    }))
    .pipe(gulp.dest('dist'))
})